summaryrefslogtreecommitdiff
path: root/source3
diff options
context:
space:
mode:
authorAndrew Bartlett <abartlet@samba.org>2012-02-19 11:01:55 +1100
committerAndrew Bartlett <abartlet@samba.org>2012-02-20 10:50:48 +1100
commit11f88524e30e671fb15df6e46e063d07197eb06b (patch)
tree0f8abe124d3b8fab380436f29d4b7d63ebcc07b4 /source3
parentf91c616176555dc29052abd4c09ab1bf292c2929 (diff)
downloadsamba-11f88524e30e671fb15df6e46e063d07197eb06b.tar.gz
samba-11f88524e30e671fb15df6e46e063d07197eb06b.tar.bz2
samba-11f88524e30e671fb15df6e46e063d07197eb06b.zip
s3-selftest: Add test for ntlm_auth --diagnostics
Diffstat (limited to 'source3')
-rwxr-xr-xsource3/script/tests/test_ntlm_auth_diagnostics.sh23
-rwxr-xr-xsource3/selftest/tests.py3
2 files changed, 26 insertions, 0 deletions
diff --git a/source3/script/tests/test_ntlm_auth_diagnostics.sh b/source3/script/tests/test_ntlm_auth_diagnostics.sh
new file mode 100755
index 0000000000..6e0c3eef42
--- /dev/null
+++ b/source3/script/tests/test_ntlm_auth_diagnostics.sh
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+if [ $# -lt 1 ]; then
+cat <<EOF
+Usage: test_ntlm_auth_diagnostics.sh NTLM_AUTH DOMAIN USERNAME PASSWORD
+EOF
+exit 1;
+fi
+
+NTLM_AUTH=$1
+DOMAIN=$2
+USERNAME=$3
+PASSWORD=$4
+shift 4
+
+ADDARGS="$*"
+
+incdir=`dirname $0`/../../../testprogs/blackbox
+. $incdir/subunit.sh
+
+testit "ntlm_auth" $VALGRIND $NTLM_AUTH --domain=$DOMAIN --username=$USERNAME --password=$PASSWORD --diagnostics $ADDARGS || failed=`expr $failed + 1`
+
+testok $0 $failed
diff --git a/source3/selftest/tests.py b/source3/selftest/tests.py
index 8d1c536ee7..c52f61641c 100755
--- a/source3/selftest/tests.py
+++ b/source3/selftest/tests.py
@@ -135,6 +135,9 @@ plantestsuite("samba3.ntlm_auth.(s3dc:local)", "s3dc:local", [os.path.join(samba
for env in ["s3dc", "member"]:
plantestsuite("samba3.blackbox.smbclient_auth.plain (%s)" % env, env, [os.path.join(samba3srcdir, "script/tests/test_smbclient_auth.sh"), '$SERVER', '$SERVER_IP', '$DC_USERNAME', '$DC_PASSWORD', binpath('smbclient3'), configuration])
+ plantestsuite(
+ "samba3.ntlm_auth.diagnostics(%s:local)" % env, "%s:local" % env,
+ [os.path.join(samba3srcdir, "script/tests/test_ntlm_auth_diagnostics.sh"), binpath('ntlm_auth3'), '$DOMAIN', '$DC_USERNAME', '$DC_PASSWORD', configuration])
for env in ["secserver"]:
plantestsuite("samba3.blackbox.smbclient_auth.plain (%s) domain creds" % env, env, [os.path.join(samba3srcdir, "script/tests/test_smbclient_auth.sh"), '$SERVER', '$SERVER_IP', '$DOMAIN\\\\$DC_USERNAME', '$DC_PASSWORD', binpath('smbclient3'), configuration + " --option=clientntlmv2auth=no"])